/**
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package au.com.nbnco.framework;

import java.util.List;
import java.sql.Timestamp;

/**
 * A POJO representing an exception entry.
 */
public class Exception {

	private String exchangeId;
	private String correlationId;
	private String contextId;
	private String routeId;
	private String threadId;
	private Timestamp occurred;
	private String hostName;
	private String message;
	private String messageHistory;
	private String stackTrace;
	private String retry;
	private String payload;
	private String retryDestination;
	private Integer maxRetryCount;
	private List<Parameter> parameters;

	public Exception (){
		exchangeId = null;
		correlationId = null;
		contextId = null;
		routeId = null;
		threadId = null;
		occurred = null;
		hostName = null;
		message = null;
		messageHistory = null;
		stackTrace = null;
		retry = null;
		payload = null;
		retryDestination = null;
		maxRetryCount = 0;
		parameters = null;
		
	}
	public void setExchangeId(String exchangeId) {
		this.exchangeId = exchangeId;
	}
	
	public void setCorrelationId(String correlationId) {
		this.correlationId = correlationId;
	}	
	
	public void setContextId(String contextId) {
		this.contextId = contextId;
	}	
	
	public void setRouteId(String routeId) {
		this.routeId = routeId;
	}	
	
	public void setThreadId(String threadId) {
		this.threadId = threadId;
	}	
	
	public void setOccurred(Timestamp occurred) {
		this.occurred = occurred;
	}	
	
	public void setHostName(String hostName) {
		this.hostName = hostName;
	}		
	
	public void setMessage(String message) {
		this.message = message;
	}	
	
	public void setMessageHistory(String messageHistory) {
		this.messageHistory = messageHistory;
	}	
	
	public void setStackTrace(String stackTrace) {
		this.stackTrace = stackTrace;
	}	
	
	public void setRetry(String retry) {
		this.retry = retry;
	}		
	
	public void setPayload(String payload) {
		this.payload = payload;
	}	
	
	public void setRetryDestination(String retryDestination) {
		this.retryDestination = retryDestination;
	}	
	
	public void setMaxRetryCount(Integer maxRetryCount) {
		this.maxRetryCount = maxRetryCount;
	}		
	
	public void setParameters(List<Parameter> parameters) {
		this.parameters = parameters;
	}		
		
		

}